function acs_find_anneals, filename=filname;, launch_date=launch_date

; Read in a list of the dates when a camera was annealed to remove charge traps.
; Dates are returned in units of days

if not keyword_set(filename) then filename="~/idl/cte/ACS_anneal_dates.txt"
if not keyword_set(launch_date) then launch_date=2452334.5

readcol,filename,format="A,I,I,I,I,I",month_string,day,year,hour,minute,second,/SILENT
n_dates=n_elements(month_string)
month=intarr(n_dates) & for i=0,n_dates-1 do month[i]=where(strmatch(["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],month_string[i]))+1

jdcnv,year,month,day,hour+minute/60.+second/360.,dates
;dates=dates-launch_date
;dates=dates-2400000.5

return, dates

end
